package cn.stylefeng.team.meta.api.enums;

import lombok.Getter;

@Getter
public enum MetaFieldTypeEnum {

    NORMAL_STR(10),

    LONG_STR(11),

    FIXED_STR(12),

    INT(20),

    BIGINT(21),

    DECIMAL(30),

    DATE_TIME(50),

    DATE(51),

    TIME(52),

    OBJECT(60),

    LIST(61),

    BYTES(70);

    private final Integer code;

    MetaFieldTypeEnum(Integer code) {
        this.code = code;
    }

}
